Bug 169267 - Crash in acpi_ps_parse_aml
Crash in acpi_ps_parse_aml
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
RHEL4U3NAK
:
Depends On:
Blocks: 176344 185624
  Show dependency treegraph
 
Reported: 2005-09-26 06:20 EDT by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-07 15:36:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpi-crash.jpg (1.05 MB, image/jpeg)
2005-09-26 06:20 EDT, Bastien Nocera
no flags Details
dsdt.dsl (58.83 KB, text/plain)
2005-09-26 06:21 EDT, Bastien Nocera
no flags Details
backport of the referenced patch for RHEL4 (13.43 KB, patch)
2006-04-17 15:47 EDT, Neil Horman
no flags Details | Diff
corrected version of patch (13.85 KB, patch)
2006-04-17 15:59 EDT, Neil Horman
no flags Details | Diff
corrected version of patch (13.85 KB, patch)
2006-04-17 16:03 EDT, Neil Horman
no flags Details | Diff
corrected version of patch (13.85 KB, patch)
2006-04-17 16:13 EDT, Neil Horman
no flags Details | Diff
Next pass at acpi patch (14.85 KB, patch)
2006-04-18 13:23 EDT, Neil Horman
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-09-26 06:20:09 EDT
On a Dell Inspiron 5160, with the latest BIOS, kernel 2.6.9-11.EL as well as the
later 2.6.9-17.EL crash on startup parsing the DSDT table.
Crash and decompiled DSDT attached below.

This is a regression from 2.6.9-5.x.EL where the bootup worked fine.
Comment 1 Bastien Nocera 2005-09-26 06:20:10 EDT
Created attachment 119253 [details]
acpi-crash.jpg
Comment 2 Bastien Nocera 2005-09-26 06:21:27 EDT
Created attachment 119254 [details]
dsdt.dsl

The decompiled dsdt. Let me know if you need the original one.
Comment 3 Jason Baron 2005-09-27 14:15:40 EDT
hmmm not sure what went into u1 to cause this...
Comment 4 Bastien Nocera 2005-09-29 06:34:04 EDT
Couldn't find anything really appropriate in the changelogs either. There's been
some ACPI SRAT work, but this shouldn't cause problems on non-NUMA/non-SMP
machines. I'm double-checking that the earlier kernel does indeed work.
Comment 5 Bastien Nocera 2005-09-30 04:56:57 EDT
2.6.9-5.EL works, 2.6.9-11.EL doesn't.
Comment 7 Jim Paradis 2005-10-21 17:29:11 EDT
Devel NAK unless we can get access to the relevant hardware.
Comment 8 Len Brown 2006-01-18 05:18:47 EST
This crash happens when setting _PDC.
There are some common BIOS issues related to _PDC -- namely
that some BIOS assume that PDC will not be invoked more than once.
http://bugzilla.kernel.org/show_bug.cgi?id=5483

This fix is in included in the current ACPI patch and -mm tree,
any possibility of testing a newer kernel?
Comment 11 Bob Johnson 2006-04-11 12:40:02 EDT
This issue is on Red Hat Engineering's list of planned work items 
for the upcoming Red Hat Enterprise Linux 4.4 release.  Engineering 
resources have been assigned and barring unforeseen circumstances, Red 
Hat intends to include this item in the 4.4 release.
Comment 12 Neil Horman 2006-04-17 15:47:59 EDT
Created attachment 127824 [details]
backport of the referenced patch for RHEL4

Heres a RHEL4 backport of the referenced patch from the acpi bugzilla.	The
upstream acpi code is significantly different from what is in RHEL4, and so
there may be some problems with it.  I'll post kernels as soon as I have them
built, to my people page.  Please test them as soon as you are able and report
results
Comment 13 Neil Horman 2006-04-17 15:59:52 EDT
Created attachment 127825 [details]
corrected version of patch

forgot to include one of the diffs in my previous patch
Comment 14 Neil Horman 2006-04-17 16:03:58 EDT
Created attachment 127826 [details]
corrected version of patch

forgot to include one of the diffs in my previous patch
Comment 15 Neil Horman 2006-04-17 16:13:43 EDT
Created attachment 127827 [details]
corrected version of patch

forgot to include one of the diffs in my previous patch
Comment 16 Neil Horman 2006-04-18 13:23:13 EDT
Created attachment 127934 [details]
Next pass at acpi patch

My last patch had a break for ia64 that I needed to fix up.  This patch builds
for all arches and boots on ia64 and x86 (x86_64 still to be tested)
Comment 17 Neil Horman 2006-04-18 13:28:25 EDT
I've posted an x86 test kernel to my people page:
http://people.redhat.com/nhorman
I don't have the relevant hardware, so someone is going to either have to send
me the hardware to test on, or test this and report results back to me.  Fair
warning, there is about a week before the RHEL4 update freeze, so if testing
results aren't back by then, this bz risks missing the U4 update.
Comment 20 Bastien Nocera 2006-07-26 04:43:48 EDT
We're still waiting for feedback on the test kernel.

Note You need to log in before you can comment on or make changes to this bug.